%Filter Mask created using Matlab function
%f= imread('peppers.png');
%h = fspecial('motion',50,45);
%g = imfilter(f,h,'replicate');
%imshow(f), figure 
%imshow(g)
%Filter Mask created using manually
%f= imread('coins.png');
%h = ones(5,5)/25;
%g = imfilter(f,h);
%imshow(f), figure 
%imshow(g)
%Filter Mask created using manually 
%, Zero-Padding problem
%f= imread('eight.tif');
%h = ones(5,5)/25;
%g = imfilter(f,h,'replicate');
%imshow(f), figure 
%imshow(g)
%f1=zeros(256,256);
%f2 = ones(256,256);
%f3 = zeros(256,256);
%f4 = ones(256,256);
%f = [f1,f2;f4,f3];
h1 = ones(31,31);
h2 = ones(31,31)/31^2;
g1 = imfilter(f,h2);
g2 = imfilter(f,h2,'replicate');
g3 = imfilter(f,h2,'symmetric');
g4 = imfilter(f,h2,'circular');

figure(1),imshow(g1)
figure(2),imshow(g2)
figure(3),imshow(g3)
figure(4),imshow(g4)















